"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6b98b0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6b9940>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6b99d0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6b9a60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6b9af0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6b9b80>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6b9c10>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6b9ca0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6b9d30>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6b9dc0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6b9e50>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6b9ee0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6b9f70>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf040>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf0d0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf160>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf1f0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf280>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf310>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf3a0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf430>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf4c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf550>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf5e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf700>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf670>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf790>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf820>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf8b0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf940>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bf9d0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bfa60>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bfaf0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bfb80>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bfc10>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bfca0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bfd30>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bfdc0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bfe50>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bfee0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6bff70>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4040>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c40d0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4160>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c41f0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4280>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4310>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c43a0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4430>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c44c0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4550>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c45e0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4670>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4700>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4790>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4820>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c48b0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4940>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c49d0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4a60>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4af0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4b80>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4c10>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4ca0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4d30>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4ee0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4dc0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c4f70>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c7040>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c70d0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c7160>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c71f0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c7310>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c7280>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c73a0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c7430>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c74c0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c75e0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c7550>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c7670>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c7700>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c7790>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c7820>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c78b0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fcb1c6c7940>)]
name: str = 'fr_HOCCN'
